// ----------------------------------------------------------------
// The contents of this file are distributed under the CC0 license.
// See http://creativecommons.org/publicdomain/zero/1.0/
// ----------------------------------------------------------------

#ifndef CONTROLLER_H
#define CONTROLLER_H

#include "Model.h"
#include "View.h"
#include <SDL2/SDL.h>


class Controller
{
public:
	Model& m_model;
	View& m_view;
	bool* m_pKeepRunning;
	bool m_spaceDown;
	Vec m_in;
	double m_trans_dev;

public:
	// Constructor
	Controller(Model& m, View& v, bool* pKeepRunning, double trans_noise_dev);

	// Destructor
	virtual ~Controller();

	// Responds to keyboard and mouse state
	void update();

	// Changes the state
	void transition(size_t action);

};


#endif
