// ----------------------------------------------------------------
// The contents of this file are distributed under the CC0 license.
// See http://creativecommons.org/publicdomain/zero/1.0/
// ----------------------------------------------------------------

#ifndef MODEL_H
#define MODEL_H

#include "neuralnet.h"
#include "rand.h"

class NeuralNet;

class Model
{
public:
	NeuralNet& obs;
	NeuralNet& trans;
	Vec state;
	Rand rand;

	// Constructor
	Model(NeuralNet& obsFunc, NeuralNet& transFunc);

	// Destructor
	~Model();

	// Moves the turtle one pixel closer to the destination
	void update();
};

#endif
