// ----------------------------------------------------------------
// The contents of this file are distributed under the CC0 license.
// See http://creativecommons.org/publicdomain/zero/1.0/
// ----------------------------------------------------------------

#ifndef VIEW_H
#define VIEW_H

#include <SDL2/SDL.h>


class Model;

class View
{
public:
	SDL_Window* m_pWindow;
	SDL_Renderer* m_pRenderer;
	SDL_Surface* m_pPrimarySurface;

	Model& model;
	volatile bool visualizing;
	double obs_dev;

	// Constructor
	View(Model& m, int w, int h, double obs_noise_dev);

	// Destructor
	virtual ~View();

	// Draws the screen
	void update();

protected:
	void drawRect(int x, int y, int w, int h);
};



#endif
